Index: testsuites/ada/sptests/sp09/sptest.adb
===================================================================
--- testsuites/ada/sptests/sp09/sptest.adb	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ testsuites/ada/sptests/sp09/sptest.adb	(revision bc96f3b4b889891cb685c4bbcaf12166ca08331c)
@@ -31,4 +31,6 @@
 with RTEMS.SEMAPHORE;
 with RTEMS.TIMER;
+with Interfaces.C;
+use Interfaces.C;
 
 package body SPTEST is
@@ -1127,5 +1129,5 @@
       BUFFER_POINTER : RTEMS.ADDRESS;
       COUNT          : RTEMS.UNSIGNED32;
-      MESSAGE_SIZE   : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE   : RTEMS.Size := 0;
       STATUS         : RTEMS.STATUS_CODES;
    begin
@@ -3036,5 +3038,5 @@
       BUFFER         : SPTEST.BUFFER;
       BUFFER_POINTER : RTEMS.ADDRESS;
-      MESSAGE_SIZE   : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE   : RTEMS.Size := 0;
       STATUS         : RTEMS.STATUS_CODES;
    begin
Index: testsuites/ada/sptests/sp09/sptest.ads
===================================================================
--- testsuites/ada/sptests/sp09/sptest.ads	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ testsuites/ada/sptests/sp09/sptest.ads	(revision bc96f3b4b889891cb685c4bbcaf12166ca08331c)
@@ -162,10 +162,10 @@
 -- 
 
-   REGION_GOOD_AREA : array ( RTEMS.UNSIGNED32 range 0 .. 4095 )
-      of RTEMS.UNSIGNED32;
+   REGION_GOOD_AREA : array ( RTEMS.Size range 0 .. 4095 )
+      of RTEMS.Size;
    for REGION_GOOD_AREA'ALIGNMENT use RTEMS.STRUCTURE_ALIGNMENT;
 
-   REGION_START_OFFSET : constant RTEMS.UNSIGNED32 := 2048;
-   REGION_LENGTH       : constant RTEMS.UNSIGNED32 := 512;
+   REGION_START_OFFSET : constant RTEMS.Size := 2048;
+   REGION_LENGTH       : constant RTEMS.Size := 512;
 
 --
Index: testsuites/ada/sptests/sp12/sp12.adb
===================================================================
--- testsuites/ada/sptests/sp12/sp12.adb	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ testsuites/ada/sptests/sp12/sp12.adb	(revision bc96f3b4b889891cb685c4bbcaf12166ca08331c)
@@ -23,4 +23,6 @@
 with SPTEST;
 with TEST_SUPPORT;
+with Interfaces.C;
+use Interfaces.C;
 
 procedure SP12 is
Index: testsuites/ada/sptests/sp13/sptest.adb
===================================================================
--- testsuites/ada/sptests/sp13/sptest.adb	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ testsuites/ada/sptests/sp13/sptest.adb	(revision bc96f3b4b889891cb685c4bbcaf12166ca08331c)
@@ -26,4 +26,5 @@
 with UNSIGNED32_IO;
 use type RTEMS.STATUS_CODES;
+use type RTEMS.Size;
 
 package body SPTEST is
@@ -228,7 +229,7 @@
       BUFFER_POINTER             : constant RTEMS.ADDRESS := BUFFER'ADDRESS;
       COUNT                      : RTEMS.UNSIGNED32;
-      MESSAGE_SIZE               : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE               : RTEMS.Size := 0;
       STATUS                     : RTEMS.STATUS_CODES;
-      SIZE                       : RTEMS.UNSIGNED32 := 0;
+      SIZE                       : RTEMS.Size := 0;
    begin
 
@@ -579,5 +580,5 @@
               SPTEST.QUEUE_NAME( 1 ),
               2,            -- just 2 msgs each
-              RTEMS.UNSIGNED32( QUEUE_SIZE ),
+              RTEMS.Size( QUEUE_SIZE ),
               RTEMS.DEFAULT_ATTRIBUTES,
               QUEUE_ID( 1 ),
@@ -607,5 +608,5 @@
               SPTEST.QUEUE_NAME( 1 ),
               2,            -- just 2 msgs each
-              RTEMS.UNSIGNED32( QUEUE_SIZE ),
+              RTEMS.Size( QUEUE_SIZE ),
               RTEMS.DEFAULT_ATTRIBUTES,
               SPTEST.QUEUE_ID( 1 ),
@@ -621,5 +622,5 @@
              SPTEST.QUEUE_ID( 1 ),
              BIG_SEND_BUFFER_POINTER,
-             RTEMS.UNSIGNED32( QUEUE_SIZE + 1 ),
+             RTEMS.Size( QUEUE_SIZE + 1 ),
              STATUS
           );
@@ -632,5 +633,5 @@
              SPTEST.QUEUE_ID( 1 ),
              BIG_SEND_BUFFER_POINTER,
-             RTEMS.UNSIGNED32( QUEUE_SIZE ),
+             RTEMS.Size( QUEUE_SIZE ),
              STATUS
           );
@@ -640,5 +641,5 @@
 
           -- now read and verify the message just sent
-          SIZE := INTERFACES.UNSIGNED_32(QUEUE_SIZE);
+          SIZE := RTEMS.Size(QUEUE_SIZE);
           RTEMS.MESSAGE_QUEUE.RECEIVE(
              SPTEST.QUEUE_ID( 1 ),
@@ -652,5 +653,5 @@
              STATUS, "message_queue_receive exact size"
           );
-          if SIZE /= RTEMS.UNSIGNED32( QUEUE_SIZE ) then
+          if SIZE /= RTEMS.Size( QUEUE_SIZE ) then
               TEXT_IO.PUT(
                  "TA1 - exact size size match failed for queue_size = "
@@ -695,5 +696,5 @@
       BUFFER_POINTER    : RTEMS.ADDRESS;
       PREVIOUS_PRIORITY : RTEMS.TASKS.PRIORITY;
-      MESSAGE_SIZE      : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE      : RTEMS.Size := 0;
       STATUS            : RTEMS.STATUS_CODES;
    begin
@@ -831,5 +832,5 @@
       BUFFER_POINTER : RTEMS.ADDRESS;
       COUNT          : RTEMS.UNSIGNED32;
-      MESSAGE_SIZE   : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE   : RTEMS.Size := 0;
       STATUS         : RTEMS.STATUS_CODES;
    begin
Index: testsuites/ada/sptests/sp14/sptest.adb
===================================================================
--- testsuites/ada/sptests/sp14/sptest.adb	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ testsuites/ada/sptests/sp14/sptest.adb	(revision bc96f3b4b889891cb685c4bbcaf12166ca08331c)
@@ -26,4 +26,6 @@
 with RTEMS.TIMER;
 with RTEMS.SIGNAL;
+with Interfaces.C;
+use Interfaces.C;
 
 package body SPTEST is
Index: testsuites/ada/support/init.c
===================================================================
--- testsuites/ada/support/init.c	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ testsuites/ada/support/init.c	(revision bc96f3b4b889891cb685c4bbcaf12166ca08331c)
@@ -36,5 +36,5 @@
 uint32_t milliseconds_per_tick(void);
 uint32_t ticks_per_second(void);
-uint32_t work_space_size(void);
+size_t work_space_size(void);
 uint32_t is_configured_multiprocessing(void);
 uint32_t get_node(void);
@@ -85,5 +85,5 @@
 }
 
-uint32_t work_space_size(void)
+size_t work_space_size(void)
 {
   return rtems_configuration_get_work_space_size()
Index: testsuites/ada/support/test_support.adb
===================================================================
--- testsuites/ada/support/test_support.adb	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ testsuites/ada/support/test_support.adb	(revision bc96f3b4b889891cb685c4bbcaf12166ca08331c)
@@ -228,6 +228,6 @@
 
    function Work_Space_Size
-   return RTEMS.Unsigned32 is 
-      function Work_Space_Size_Base return RTEMS.Unsigned32;
+   return RTEMS.Size is
+      function Work_Space_Size_Base return RTEMS.Size;
       pragma Import (C, Work_Space_Size_Base, "work_space_size");
    begin
Index: testsuites/ada/support/test_support.ads
===================================================================
--- testsuites/ada/support/test_support.ads	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ testsuites/ada/support/test_support.ads	(revision bc96f3b4b889891cb685c4bbcaf12166ca08331c)
@@ -182,5 +182,5 @@
 
    function Work_Space_Size
-   return RTEMS.Unsigned32;
+   return RTEMS.Size;
 
 --
Index: testsuites/ada/tmtests/tm09/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm09/tmtest.adb	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ testsuites/ada/tmtests/tm09/tmtest.adb	(revision bc96f3b4b889891cb685c4bbcaf12166ca08331c)
@@ -132,5 +132,5 @@
       BUFFER            : TMTEST.BUFFER;
       BUFFER_POINTER    : RTEMS.ADDRESS;
-      MESSAGE_SIZE      : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE      : RTEMS.Size := 0;
       STATUS            : RTEMS.STATUS_CODES;
    begin
Index: testsuites/ada/tmtests/tm10/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm10/tmtest.adb	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ testsuites/ada/tmtests/tm10/tmtest.adb	(revision bc96f3b4b889891cb685c4bbcaf12166ca08331c)
@@ -62,5 +62,5 @@
       BUFFER         : TMTEST.BUFFER;
       BUFFER_POINTER : RTEMS.ADDRESS;
-      MESSAGE_SIZE   : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE   : RTEMS.Size := 0;
       STATUS         : RTEMS.STATUS_CODES;
    begin
@@ -148,5 +148,5 @@
       BUFFER         : TMTEST.BUFFER;
       BUFFER_POINTER : RTEMS.ADDRESS;
-      MESSAGE_SIZE   : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE   : RTEMS.Size := 0;
       STATUS         : RTEMS.STATUS_CODES;
    begin
@@ -177,5 +177,5 @@
       BUFFER         : TMTEST.BUFFER;
       BUFFER_POINTER : RTEMS.ADDRESS;
-      MESSAGE_SIZE   : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE   : RTEMS.Size := 0;
       STATUS         : RTEMS.STATUS_CODES;
    begin
Index: testsuites/ada/tmtests/tm11/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm11/tmtest.adb	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ testsuites/ada/tmtests/tm11/tmtest.adb	(revision bc96f3b4b889891cb685c4bbcaf12166ca08331c)
@@ -150,5 +150,5 @@
       BUFFER         : TMTEST.BUFFER;
       BUFFER_POINTER : RTEMS.ADDRESS;
-      MESSAGE_SIZE   : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE   : RTEMS.Size := 0;
       STATUS         : RTEMS.STATUS_CODES;
    begin
@@ -190,5 +190,5 @@
       BUFFER         : TMTEST.BUFFER;
       BUFFER_POINTER : RTEMS.ADDRESS;
-      MESSAGE_SIZE   : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE   : RTEMS.Size := 0;
       STATUS         : RTEMS.STATUS_CODES;
    begin
Index: testsuites/ada/tmtests/tm12/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm12/tmtest.adb	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ testsuites/ada/tmtests/tm12/tmtest.adb	(revision bc96f3b4b889891cb685c4bbcaf12166ca08331c)
@@ -184,5 +184,5 @@
       BUFFER         : TMTEST.BUFFER;
       BUFFER_POINTER : RTEMS.ADDRESS;
-      MESSAGE_SIZE   : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE   : RTEMS.Size := 0;
       STATUS         : RTEMS.STATUS_CODES;
    begin
Index: testsuites/ada/tmtests/tm13/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm13/tmtest.adb	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ testsuites/ada/tmtests/tm13/tmtest.adb	(revision bc96f3b4b889891cb685c4bbcaf12166ca08331c)
@@ -149,5 +149,5 @@
       BUFFER         : TMTEST.BUFFER;
       BUFFER_POINTER : RTEMS.ADDRESS;
-      MESSAGE_SIZE   : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE   : RTEMS.Size := 0;
       STATUS         : RTEMS.STATUS_CODES;
    begin
@@ -188,5 +188,5 @@
       BUFFER         : TMTEST.BUFFER;
       BUFFER_POINTER : RTEMS.ADDRESS;
-      MESSAGE_SIZE   : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE   : RTEMS.Size := 0;
       STATUS         : RTEMS.STATUS_CODES;
    begin
Index: testsuites/ada/tmtests/tm14/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm14/tmtest.adb	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ testsuites/ada/tmtests/tm14/tmtest.adb	(revision bc96f3b4b889891cb685c4bbcaf12166ca08331c)
@@ -195,5 +195,5 @@
       BUFFER         : TMTEST.BUFFER;
       BUFFER_POINTER : RTEMS.ADDRESS;
-      MESSAGE_SIZE   : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE   : RTEMS.Size := 0;
       STATUS         : RTEMS.STATUS_CODES;
    begin
Index: testsuites/ada/tmtests/tm22/tmtest.adb
===================================================================
--- testsuites/ada/tmtests/tm22/tmtest.adb	(revision 2afb22b7e1ebcbe40373ff7e0efae7d207c655a9)
+++ testsuites/ada/tmtests/tm22/tmtest.adb	(revision bc96f3b4b889891cb685c4bbcaf12166ca08331c)
@@ -138,5 +138,5 @@
       OVERHEAD       : RTEMS.UNSIGNED32;
       COUNT          : RTEMS.UNSIGNED32;
-      MESSAGE_SIZE   : RTEMS.UNSIGNED32 := 0;
+      MESSAGE_SIZE   : RTEMS.Size := 0;
       STATUS         : RTEMS.STATUS_CODES;
    begin
